org.apache.jmeter.util

## Class CustomX509TrustManager

- java.lang.Object
- - org.apache.jmeter.util.CustomX509TrustManager

- All Implemented Interfaces:
    javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

      public class CustomX509TrustManager
      extends java.lang.Object
      implements javax.net.ssl.X509TrustManager

  Custom TrustManager ignores all certificate errors TODO: implement conditional checking and logging (Derived from AuthSSLX509TrustManager in HttpClient contrib directory)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomX509TrustManager(javax.net.ssl.X509TrustManager defaultTrustManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkClientTrusted(java.security.cert.X509Certificate[] certificates, java.lang.String authType)`
    `void` | `checkServerTrusted(java.security.cert.X509Certificate[] certificates, java.lang.String authType)`
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomX509TrustManager

          public CustomX509TrustManager(javax.net.ssl.X509TrustManager defaultTrustManager)

  - ### Method Detail

    - #### checkClientTrusted

          public void checkClientTrusted(java.security.cert.X509Certificate[] certificates,
                                         java.lang.String authType)

      Specified by:
        `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
      See Also:
        `X509TrustManager.checkClientTrusted(X509Certificate[],String)`

    - #### checkServerTrusted

          public void checkServerTrusted(java.security.cert.X509Certificate[] certificates,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`
      See Also:
        `X509TrustManager.checkServerTrusted(X509Certificate[],String)`

    - #### getAcceptedIssuers

          public java.security.cert.X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`
      See Also:
        `X509TrustManager.getAcceptedIssuers()`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.